Summary: Flexible backup script
Name: flexbackup
%define version 1.1.7
Version: %{version}
Release: 1es
Packager: Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
Source: flexbackup-%{version}.tar.gz
Patch0: flexbackup-1.1.7.patch.2003061900
Url: http://flexbackup.sourceforge.net
License: GPL
Group: Applications/Archiving
BuildRoot: /var/tmp/flexbackup-root
BuildArch: noarch
Requires: gzip
Requires: bzip2
Requires: fileutils
Requires: findutils

%description
A flexible backup tool

Features:
   o Easy to configure
   o Uses dump, afio, tar, zip, star, pax, or cpio with the flick of a switch
   o Full (0) and numbered levels of incremental backup (acts like "dump")
   o Backup, extract, compare, list modes
   o Compression and buffering for all backup types
   o Keeps a table of contents so you know whats on each tape
   o Does remote filesystems (over rsh/ssh; no special service)
   o Works with tape drives or on-disk files
   o Nice log files


%prep
%setup -q
%patch0 -p1

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/var/lib/flexbackup
mkdir -p $RPM_BUILD_ROOT/var/log/flexbackup
install -m 0644 flexbackup.conf $RPM_BUILD_ROOT/etc/flexbackup.conf
install -m 0755 fb.install $RPM_BUILD_ROOT/usr/bin/flexbackup


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/flexbackup
#%doc CHANGES COPYING TODO README CREDITS INSTALL faq.html
%doc CHANGES COPYING TODO README CREDITS INSTALL
%dir /var/lib/flexbackup
%dir /var/log/flexbackup
%config(noreplace) /etc/flexbackup.conf

%changelog
* Thu Jun 19 2003 Charlie Brady <charlieb@e-smith.com> 1.1.7-1es
- Add support for -o option in restore of a dump tape - so that
  restore can be non-interactive.

* Tue Feb 18 2003 Edwin Huffstutler <edwinh@hercules.my-net>
- config file is noreplace

* Wed Jan 15 2003 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- defattr in right spot

* Sun Jan 12 2003 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- updated

* Sat Sep 25 1999 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- add more requires, update description, email address.
- really goes in /usr/bin since it needs perl anyway --
  if you only have your root fs, run restore or tar by hand :)

* Sat Sep 18 1999 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- initial rpm package
